<?php

namespace Repository;

use Util\InstanceProvider;
use Zeedhi\DevOps\Util\Utilities;
use Teknisa\Model\Traits\TQuery;

class Structure
{
    use TQuery;

    public function getEntityManager(){
        return InstanceProvider::getEntityManager();
    }

    public function findStructureFieldNext(){

        $query = <<<SQL
        SELECT ST.ID,ST.NAME,ST.PARENT,ST.ORGANIZATION
 			FROM 	STRUCTURE ST
            WHERE ST.STATUS = 'A'
			AND ST.ORGANIZATION = '20'
			ORDER BY ST.ID

SQL;
        return $this->createAndExecuteQueryAndBuildResponseData(InstanceProvider::getEntityManager(), $query);
       // $query = Utilities::getPaginatedQuery($query,$finalPos,$startPos);
//        $result =  $this->getEntityManager()->getConnection()->fetchAll($query);
//
//        $total = empty($result) ? 0 : $result[0]['TOTAL_LINES_ZHNEXT'];
//        $returnNext = [ 'data' => $result, 'pagination' => [ 'limit' => $pageSize, 'page' => $page, 'total' => $total]];
//        return $returnNext;
    }


}
